# $Revision: 1.22 $, $Date: 2004/10/18 09:32:24 $
Summary:	The CLAPACK libraries for numerical linear algebra
Summary(pl):	Biblioteki numeryczne CLAPACK do algebry liniowej
Name:		clapack
Version:	3.0
Release:	3
License:	freely distributable
Group:		Development/Libraries
Source0:	http://www.netlib.org/clapack/%{name}.tgz
# Source0-md5:	1b6d89b3352d0c678e50a03724458053
#Source1:	http://www.netlib.org/clapack/manpages.tgz
Patch0:		%{name}-automake_support.patch
URL:		http://www.netlib.org/clapack/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-g77
BuildRequires:	libtool >= 1:1.4.2-9
Requires:	cblas = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLAPACK (Linear Algebra PACKage) is a standard library for numerical
linear algebra. CLAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear
systems of equations, eigenvalue problems, and singular value
problems. Associated matrix factorizations (LU, Cholesky, QR, SVD,
Schur, and generalized Schur) and related computations (i.e.,
reordering of Schur factorizations and estimating condition numbers)
are also included. CLAPACK can handle dense and banded matrices, but
not general sparse matrices. Similar functionality is provided for
real and complex matrices in both single and double precision. CLAPACK
is coded in Fortran77 and translated to C using f2c.

%description -l pl
CLAPACK (Linear Algebra PACKage) jest standardow bibliotek
numeryczn do algebry liniowej. Dostarcza funkcje rozwizywania:
ukadw rwna liniowych, ukadw rwna metod najmniejszych
kwadratw, problemw wasnych. Zawiera algorytmy faktoryzacji macierzy
(LU, Cholesky'ego, QR, SVD, Schura, uoglnion Schura) i zwizanych z
tym oblicze (np. przenumerowanie w faktoryzacji Schura i estymacj
uwarunkowania). CLAPACK moe obsugiwa macierze blokowe i pasmowe,
ale nie rzadkie w oglnym przypadku. Zapewnia funkcjonalno dla
macierzy rzeczywistych i zespolonych, dla liczb pojedynczej i
podwjnej precyzji. CLAPACK jest napisany w Fortranie 77 i
przetumaczony na C przy uyciu f2c.

%package devel
Summary:	CLAPACK header files
Summary(pl):	Pliki nagwkowe CLAPACK
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
CLAPACK header files.

%description devel -l pl
Pliki nagwkowe CLAPACK.

%package static
Summary:	Static CLAPACK libraries
Summary(pl):	Biblioteki statyczne CLAPACK
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CLAPACK libraries.

%description static -l pl
Biblioteki statyczne CLAPACK.

%package -n cblas
Summary:	The CBLAS (Basic Linear Algebra Subprograms) library for Linux
Summary(pl):	Biblioteka CBLAS (Basic Linear Algebra Subprograms) dla Linuksa
Group:		Development/Libraries

%description -n cblas
CBLAS (Basic Linear Algebra Subprograms) is a standard library for
numerical algebra. CBLAS provides a number of basic algorithms for
linear algebra. CBLAS is fast and well-tested, was written in FORTRAN
77.

%description -n cblas -l pl
CBLAS (Basic Linear Algebra Subprograms) jest standardow bibliotek
numeryczn algebry. Dostarcza wiele podstawowych algorytmw dla
algebry liniowej. Jest szybka i dobrze przetestowana, zostaa napisana
w Fortranie 77.

%package -n cblas-devel
Summary:	CBLAS header files
Summary(pl):	Pliki nagwkowe CBLAS
Group:		Development/Libraries
Requires:	cblas = %{version}-%{release}

%description -n cblas-devel
CBLAS header files.

%description -n cblas-devel -l pl
Pliki nagwkowe CBLAS.

%package -n cblas-static
Summary:	Static CBLAS libraries
Summary(pl):	Biblioteki statyczne CBLAS
Group:		Development/Libraries
Requires:	cblas-devel = %{version}-%{release}

%description -n cblas-static
Static CBLAS libraries.

%description -n cblas-static -l pl
Biblioteki statyczne CBLAS.

%prep
%setup -q -n CLAPACK
%patch0 -p1
# directory INSTALL conflicts with file INSTALL needed by automake
mv -f INSTALL install

%build
rm -f ltmain.sh missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install BLAS/WRAP/cblas.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n cblas -p /sbin/ldconfig
%postun	-n cblas -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_libdir}/libclapack.so.*.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libclapack.so
%{_libdir}/libclapack.la
%{_includedir}/clapack.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libclapack.a

%files -n cblas
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcblas.so.*.*.*

%files -n cblas-devel
%defattr(644,root,root,755)
%{_libdir}/libcblas.so
%{_libdir}/libcblas.la
%{_includedir}/cblas.h

%files -n cblas-static
%defattr(644,root,root,755)
%{_libdir}/libcblas.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clapack.spec,v $
Revision 1.22  2004/10/18 09:32:24  qboosh
- strict internal deps, fixed typo

Revision 1.21  2004/10/18 09:27:22  jajcus
- cblas.h file added to cblas-devel (fixes bug #939)

Revision 1.20  2004/08/31 02:24:20  snurf
- typos

Revision 1.19  2004/08/12 10:23:30  roman
- corrected URL

Revision 1.18  2004/04/26 14:20:09  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.17  2003/08/06 16:47:09  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.16  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.15  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:46:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/12/30 09:55:47  qboosh
- cleanup, added *.la
- require fixed libtool instead of hacking *.la

Revision 1.12  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:12:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:05:37  arturs
fixed a small typo

Revision 1.8  2002/04/05 15:26:37  roman
s/Freely/freely in License

Revision 1.7  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/22 09:21:05  kloczek
- sort BuildRequires rules.

Revision 1.3  2001/12/19 08:14:58  qboosh
- rcs tags are back; fixed pl spelling
